Error with saving extensions - > artefact -> file configuration

Bug #1279468 reported by Robert Lyon on 2014-02-12
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
High
Robert Lyon

Bug Description

I get this error:

[WAR] 7d (lib/errors.php:739) Failed to get a recordset: postgres7 error: [-1: ERROR: null value in column "institution" violates not-null constraint] in EXECUTE("INSERT INTO "site_content" ("name", "content", "ctime", "mtime", "mauthor") VALUES (?, ?, ?, ?, ?)")
Command was: INSERT INTO "site_content" ("name", "content", "ctime", "mtime", "mauthor") VALUES (?, ?, ?, ?, ?) and values was (uploadcopyright,,2014-02-13 07:48:34,2014-02-13 07:48:34,1)

The saving of the file needs to be saved against institution 'mahara' now that the site_content table identifies things per institutions.

Robert Lyon (robertl-9) wrote :
Changed in mahara:
status: Confirmed → In Progress

Reviewed: https://reviews.mahara.org/3001
Committed: http://gitorious.org/mahara/mahara/commit/b718e11669280ea2f4f11355e13cea479db38aa7
Submitter: Son Nguyen (<email address hidden>)
Branch: master

commit b718e11669280ea2f4f11355e13cea479db38aa7
Author: Robert Lyon <email address hidden>
Date: Thu Feb 13 08:01:14 2014 +1300

Making the saving of upload agreement compatible with db changes

Bug #1279468

to test: go to admin -> extensions -> Artefact (file) -> configuration
and alter the Upload agreement settings.

Change-Id: I66da2a8f4a04a3b9d38582c9ddd342401e96a537
Signed-off-by: Robert Lyon <email address hidden>

Son Nguyen (ngson2000) on 2014-02-12
Changed in mahara:
status: In Progress → Fix Committed
Robert Lyon (robertl-9) on 2014-04-22
Changed in mahara:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers